Package org.eclipse.m2m.atl.debug.core.adwp

# Class RemoteObjectReference

java.lang.Object
org.eclipse.m2m.atl.debug.core.adwp.Value
org.eclipse.m2m.atl.debug.core.adwp.ObjectReference
org.eclipse.m2m.atl.debug.core.adwp.RemoteObjectReference

public final class RemoteObjectReference extends ObjectReference
The remote implementation of the `ObjectReference`.

## Field Summary

### Fields inherited from class org.eclipse.m2m.atl.debug.core.adwp.ObjectReference

`id`

## Method Summary

Modifier and Type
Method
Description
`Value`
`call(String opName, List<Value> args)`
Calls an operation with the given arguments.
`Value`
`get(String propName)`
Gets a value for the given property.
`void`
`set(String propName, Value value)`
Sets a value for the given property.
`String`
`toString()`
`static ObjectReference`
`valueOf(ADWPDebugger debugger, int objectId)`
Returns the `ObjectReference` of a given object by its id.

### Methods inherited from class org.eclipse.m2m.atl.debug.core.adwp.ObjectReference

`getId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### get

public Value get(String propName)
Gets a value for the given property.

Specified by:
  `get` in class `ObjectReference`
Parameters:
  `propName` - the property name
Returns:
  the value
See Also:
  - `ObjectReference.get(java.lang.String)`

### set

public void set(String propName, Value value)
Sets a value for the given property.

Specified by:
  `set` in class `ObjectReference`
Parameters:
  `propName` - the property name
  `value` - the value to set
See Also:
  - `ObjectReference.set(java.lang.String, org.eclipse.m2m.atl.debug.core.adwp.Value)`

### call

public Value call(String opName, List<Value> args)
Calls an operation with the given arguments.

Specified by:
  `call` in class `ObjectReference`
Parameters:
  `opName` - the operation name
  `args` - the arguments
Returns:
  the operation call result
See Also:
  - `ObjectReference.call(java.lang.String, java.util.List)`

### toString

public String toString()

Overrides:
  `toString` in class `ObjectReference`
See Also:
  - `ObjectReference.toString()`

### valueOf

public static ObjectReference valueOf(ADWPDebugger debugger, int objectId)
Returns the `ObjectReference` of a given object by its id.

Parameters:
  `debugger` - the current debugger
  `objectId` - the object id
Returns:
  the `ObjectReference`